package com.ejie.p06b.datatype.logic;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import java.util.ArrayList;

/**
 * Fecha de creación: (17/11/2010)
 */
public class P06BInformeOtroDEC implements Serializable {
	
	//----------------- MODELO 2 -------------------------------------
	//Mediadores F, J, RF y RJ
	private double d38_F1 = 0.0;
	private double d38_F2 = 0.0;
	private double d38_F3 = 0.0;
	private double d38_F4 = 0.0;
	private double d38_F5 = 0.0;
	private double d38_F6 = 0.0;
	private double d38_J1 = 0.0;
	private double d38_J2 = 0.0;
	private double d38_J3 = 0.0;
	private double d38_J4 = 0.0;
	private double d38_J5 = 0.0;
	private double d38_J6 = 0.0;
	private double d38_AF1 = 0.0;
	private double d38_AF2 = 0.0;
	private double d38_AF3 = 0.0;
	private double d38_AF4 = 0.0;
	private double d38_AF5 = 0.0;
	private double d38_AF6 = 0.0;
	private double d38_AJ1 = 0.0;
	private double d38_AJ2 = 0.0;
	private double d38_AJ3 = 0.0;
	private double d38_AJ4 = 0.0;
	private double d38_AJ5 = 0.0;
	private double d38_AJ6 = 0.0;
	private double d39_F1 = 0.0;
	private double d39_F2 = 0.0;
	private double d39_F3 = 0.0;
	private double d39_F4 = 0.0;
	private double d39_F5 = 0.0;
	private double d39_F6 = 0.0;
	private double d39_J1 = 0.0;
	private double d39_J2 = 0.0;
	private double d39_J3 = 0.0;
	private double d39_J4 = 0.0;
	private double d39_J5 = 0.0;
	private double d39_J6 = 0.0;
	private double d39_AF1 = 0.0;
	private double d39_AF2 = 0.0;
	private double d39_AF3 = 0.0;
	private double d39_AF4 = 0.0;
	private double d39_AF5 = 0.0;
	private double d39_AF6 = 0.0;
	private double d39_AJ1 = 0.0;
	private double d39_AJ2 = 0.0;
	private double d39_AJ3 = 0.0;
	private double d39_AJ4 = 0.0;
	private double d39_AJ5 = 0.0;
	private double d39_AJ6 = 0.0;
	private double d53_F1 = 0.0;
	private double d53_F2 = 0.0;
	private double d53_F3 = 0.0;
	private double d53_F4 = 0.0;
	private double d53_F5 = 0.0;
	private double d53_J1 = 0.0;
	private double d53_J2 = 0.0;
	private double d53_J3 = 0.0;
	private double d53_J4 = 0.0;
	private double d53_J5 = 0.0;
	private double d53_AF1 = 0.0;
	private double d53_AF2 = 0.0;
	private double d53_AF3 = 0.0;
	private double d53_AF4 = 0.0;
	private double d53_AF5 = 0.0;
	private double d53_AJ1 = 0.0;
	private double d53_AJ2 = 0.0;
	private double d53_AJ3 = 0.0;
	private double d53_AJ4 = 0.0;
	private double d53_AJ5 = 0.0;
	private double d49_F1 = 0.0;
	private double d49_F2 = 0.0;
	private double d49_J1 = 0.0;
	private double d49_J2 = 0.0;
	private double d49_AF1 = 0.0;
	private double d49_AF2 = 0.0;
	private double d49_AJ1 = 0.0;
	private double d49_AJ2 = 0.0;
	
	ArrayList<String> al_MediadorCodigo = new ArrayList<String>(); 
	ArrayList<Double> al_MediadorComision = new ArrayList<Double>();
	
	String [] a_MediadorCodigo;
	double [] a_MediadorComision;
	
	public ArrayList<String> getAl_MediadorCodigo() {
		return al_MediadorCodigo;
	}
	public void setAl_MediadorCodigo(ArrayList<String> al_MediadorCodigo) {
		this.al_MediadorCodigo = al_MediadorCodigo;
	}
	public ArrayList<Double> getAl_MediadorComision() {
		return al_MediadorComision;
	}
	public void setAl_MediadorComision(ArrayList<Double> al_MediadorComision) {
		this.al_MediadorComision = al_MediadorComision;
	}
	public String[] getA_MediadorCodigo() {
		return a_MediadorCodigo;
	}
	public void setA_MediadorCodigo(String[] a_MediadorCodigo) {
		this.a_MediadorCodigo = a_MediadorCodigo;
	}
	public double[] getA_MediadorComision() {
		return a_MediadorComision;
	}
	public void setA_MediadorComision(double[] a_MediadorComision) {
		this.a_MediadorComision = a_MediadorComision;
	}
	public double getD38_F1() {
		return d38_F1;
	}
	public void setD38_F1(double d38_F1) {
		this.d38_F1 = d38_F1;
	}
	public double getD38_F2() {
		return d38_F2;
	}
	public void setD38_F2(double d38_F2) {
		this.d38_F2 = d38_F2;
	}
	public double getD38_F3() {
		return d38_F3;
	}
	public void setD38_F3(double d38_F3) {
		this.d38_F3 = d38_F3;
	}
	public double getD38_F4() {
		return d38_F4;
	}
	public void setD38_F4(double d38_F4) {
		this.d38_F4 = d38_F4;
	}
	public double getD38_F5() {
		return d38_F5;
	}
	public void setD38_F5(double d38_F5) {
		this.d38_F5 = d38_F5;
	}
	public double getD38_F6() {
		return d38_F6;
	}
	public void setD38_F6(double d38_F6) {
		this.d38_F6 = d38_F6;
	}
	public double getD38_J1() {
		return d38_J1;
	}
	public void setD38_J1(double d38_J1) {
		this.d38_J1 = d38_J1;
	}
	public double getD38_J2() {
		return d38_J2;
	}
	public void setD38_J2(double d38_J2) {
		this.d38_J2 = d38_J2;
	}
	public double getD38_J3() {
		return d38_J3;
	}
	public void setD38_J3(double d38_J3) {
		this.d38_J3 = d38_J3;
	}
	public double getD38_J4() {
		return d38_J4;
	}
	public void setD38_J4(double d38_J4) {
		this.d38_J4 = d38_J4;
	}
	public double getD38_J5() {
		return d38_J5;
	}
	public void setD38_J5(double d38_J5) {
		this.d38_J5 = d38_J5;
	}
	public double getD38_J6() {
		return d38_J6;
	}
	public void setD38_J6(double d38_J6) {
		this.d38_J6 = d38_J6;
	}
	public double getD38_AF1() {
		return d38_AF1;
	}
	public void setD38_AF1(double d38_AF1) {
		this.d38_AF1 = d38_AF1;
	}
	public double getD38_AF2() {
		return d38_AF2;
	}
	public void setD38_AF2(double d38_AF2) {
		this.d38_AF2 = d38_AF2;
	}
	public double getD38_AF3() {
		return d38_AF3;
	}
	public void setD38_AF3(double d38_AF3) {
		this.d38_AF3 = d38_AF3;
	}
	public double getD38_AF4() {
		return d38_AF4;
	}
	public void setD38_AF4(double d38_AF4) {
		this.d38_AF4 = d38_AF4;
	}
	public double getD38_AF5() {
		return d38_AF5;
	}
	public void setD38_AF5(double d38_AF5) {
		this.d38_AF5 = d38_AF5;
	}
	public double getD38_AF6() {
		return d38_AF6;
	}
	public void setD38_AF6(double d38_AF6) {
		this.d38_AF6 = d38_AF6;
	}
	public double getD38_AJ1() {
		return d38_AJ1;
	}
	public void setD38_AJ1(double d38_AJ1) {
		this.d38_AJ1 = d38_AJ1;
	}
	public double getD38_AJ2() {
		return d38_AJ2;
	}
	public void setD38_AJ2(double d38_AJ2) {
		this.d38_AJ2 = d38_AJ2;
	}
	public double getD38_AJ3() {
		return d38_AJ3;
	}
	public void setD38_AJ3(double d38_AJ3) {
		this.d38_AJ3 = d38_AJ3;
	}
	public double getD38_AJ4() {
		return d38_AJ4;
	}
	public void setD38_AJ4(double d38_AJ4) {
		this.d38_AJ4 = d38_AJ4;
	}
	public double getD38_AJ5() {
		return d38_AJ5;
	}
	public void setD38_AJ5(double d38_AJ5) {
		this.d38_AJ5 = d38_AJ5;
	}
	public double getD38_AJ6() {
		return d38_AJ6;
	}
	public void setD38_AJ6(double d38_AJ6) {
		this.d38_AJ6 = d38_AJ6;
	}
	public double getD39_F1() {
		return d39_F1;
	}
	public void setD39_F1(double d39_F1) {
		this.d39_F1 = d39_F1;
	}
	public double getD39_F2() {
		return d39_F2;
	}
	public void setD39_F2(double d39_F2) {
		this.d39_F2 = d39_F2;
	}
	public double getD39_F3() {
		return d39_F3;
	}
	public void setD39_F3(double d39_F3) {
		this.d39_F3 = d39_F3;
	}
	public double getD39_F4() {
		return d39_F4;
	}
	public void setD39_F4(double d39_F4) {
		this.d39_F4 = d39_F4;
	}
	public double getD39_F5() {
		return d39_F5;
	}
	public void setD39_F5(double d39_F5) {
		this.d39_F5 = d39_F5;
	}
	public double getD39_F6() {
		return d39_F6;
	}
	public void setD39_F6(double d39_F6) {
		this.d39_F6 = d39_F6;
	}
	public double getD39_J1() {
		return d39_J1;
	}
	public void setD39_J1(double d39_J1) {
		this.d39_J1 = d39_J1;
	}
	public double getD39_J2() {
		return d39_J2;
	}
	public void setD39_J2(double d39_J2) {
		this.d39_J2 = d39_J2;
	}
	public double getD39_J3() {
		return d39_J3;
	}
	public void setD39_J3(double d39_J3) {
		this.d39_J3 = d39_J3;
	}
	public double getD39_J4() {
		return d39_J4;
	}
	public void setD39_J4(double d39_J4) {
		this.d39_J4 = d39_J4;
	}
	public double getD39_J5() {
		return d39_J5;
	}
	public void setD39_J5(double d39_J5) {
		this.d39_J5 = d39_J5;
	}
	public double getD39_J6() {
		return d39_J6;
	}
	public void setD39_J6(double d39_J6) {
		this.d39_J6 = d39_J6;
	}
	public double getD39_AF1() {
		return d39_AF1;
	}
	public void setD39_AF1(double d39_AF1) {
		this.d39_AF1 = d39_AF1;
	}
	public double getD39_AF2() {
		return d39_AF2;
	}
	public void setD39_AF2(double d39_AF2) {
		this.d39_AF2 = d39_AF2;
	}
	public double getD39_AF3() {
		return d39_AF3;
	}
	public void setD39_AF3(double d39_AF3) {
		this.d39_AF3 = d39_AF3;
	}
	public double getD39_AF4() {
		return d39_AF4;
	}
	public void setD39_AF4(double d39_AF4) {
		this.d39_AF4 = d39_AF4;
	}
	public double getD39_AF5() {
		return d39_AF5;
	}
	public void setD39_AF5(double d39_AF5) {
		this.d39_AF5 = d39_AF5;
	}
	public double getD39_AF6() {
		return d39_AF6;
	}
	public void setD39_AF6(double d39_AF6) {
		this.d39_AF6 = d39_AF6;
	}
	public double getD39_AJ1() {
		return d39_AJ1;
	}
	public void setD39_AJ1(double d39_AJ1) {
		this.d39_AJ1 = d39_AJ1;
	}
	public double getD39_AJ2() {
		return d39_AJ2;
	}
	public void setD39_AJ2(double d39_AJ2) {
		this.d39_AJ2 = d39_AJ2;
	}
	public double getD39_AJ3() {
		return d39_AJ3;
	}
	public void setD39_AJ3(double d39_AJ3) {
		this.d39_AJ3 = d39_AJ3;
	}
	public double getD39_AJ4() {
		return d39_AJ4;
	}
	public void setD39_AJ4(double d39_AJ4) {
		this.d39_AJ4 = d39_AJ4;
	}
	public double getD39_AJ5() {
		return d39_AJ5;
	}
	public void setD39_AJ5(double d39_AJ5) {
		this.d39_AJ5 = d39_AJ5;
	}
	public double getD39_AJ6() {
		return d39_AJ6;
	}
	public void setD39_AJ6(double d39_AJ6) {
		this.d39_AJ6 = d39_AJ6;
	}
	public double getD53_F1() {
		return d53_F1;
	}
	public void setD53_F1(double d53_F1) {
		this.d53_F1 = d53_F1;
	}
	public double getD53_F2() {
		return d53_F2;
	}
	public void setD53_F2(double d53_F2) {
		this.d53_F2 = d53_F2;
	}
	public double getD53_F3() {
		return d53_F3;
	}
	public void setD53_F3(double d53_F3) {
		this.d53_F3 = d53_F3;
	}
	public double getD53_F4() {
		return d53_F4;
	}
	public void setD53_F4(double d53_F4) {
		this.d53_F4 = d53_F4;
	}
	public double getD53_F5() {
		return d53_F5;
	}
	public void setD53_F5(double d53_F5) {
		this.d53_F5 = d53_F5;
	}
	public double getD53_J1() {
		return d53_J1;
	}
	public void setD53_J1(double d53_J1) {
		this.d53_J1 = d53_J1;
	}
	public double getD53_J2() {
		return d53_J2;
	}
	public void setD53_J2(double d53_J2) {
		this.d53_J2 = d53_J2;
	}
	public double getD53_J3() {
		return d53_J3;
	}
	public void setD53_J3(double d53_J3) {
		this.d53_J3 = d53_J3;
	}
	public double getD53_J4() {
		return d53_J4;
	}
	public void setD53_J4(double d53_J4) {
		this.d53_J4 = d53_J4;
	}
	public double getD53_J5() {
		return d53_J5;
	}
	public void setD53_J5(double d53_J5) {
		this.d53_J5 = d53_J5;
	}
	public double getD53_AF1() {
		return d53_AF1;
	}
	public void setD53_AF1(double d53_AF1) {
		this.d53_AF1 = d53_AF1;
	}
	public double getD53_AF2() {
		return d53_AF2;
	}
	public void setD53_AF2(double d53_AF2) {
		this.d53_AF2 = d53_AF2;
	}
	public double getD53_AF3() {
		return d53_AF3;
	}
	public void setD53_AF3(double d53_AF3) {
		this.d53_AF3 = d53_AF3;
	}
	public double getD53_AF4() {
		return d53_AF4;
	}
	public void setD53_AF4(double d53_AF4) {
		this.d53_AF4 = d53_AF4;
	}
	public double getD53_AF5() {
		return d53_AF5;
	}
	public void setD53_AF5(double d53_AF5) {
		this.d53_AF5 = d53_AF5;
	}
	public double getD53_AJ1() {
		return d53_AJ1;
	}
	public void setD53_AJ1(double d53_AJ1) {
		this.d53_AJ1 = d53_AJ1;
	}
	public double getD53_AJ2() {
		return d53_AJ2;
	}
	public void setD53_AJ2(double d53_AJ2) {
		this.d53_AJ2 = d53_AJ2;
	}
	public double getD53_AJ3() {
		return d53_AJ3;
	}
	public void setD53_AJ3(double d53_AJ3) {
		this.d53_AJ3 = d53_AJ3;
	}
	public double getD53_AJ4() {
		return d53_AJ4;
	}
	public void setD53_AJ4(double d53_AJ4) {
		this.d53_AJ4 = d53_AJ4;
	}
	public double getD53_AJ5() {
		return d53_AJ5;
	}
	public void setD53_AJ5(double d53_AJ5) {
		this.d53_AJ5 = d53_AJ5;
	}
	public double getD49_F1() {
		return d49_F1;
	}
	public void setD49_F1(double d49_F1) {
		this.d49_F1 = d49_F1;
	}
	public double getD49_F2() {
		return d49_F2;
	}
	public void setD49_F2(double d49_F2) {
		this.d49_F2 = d49_F2;
	}
	public double getD49_J1() {
		return d49_J1;
	}
	public void setD49_J1(double d49_J1) {
		this.d49_J1 = d49_J1;
	}
	public double getD49_J2() {
		return d49_J2;
	}
	public void setD49_J2(double d49_J2) {
		this.d49_J2 = d49_J2;
	}
	public double getD49_AF1() {
		return d49_AF1;
	}
	public void setD49_AF1(double d49_AF1) {
		this.d49_AF1 = d49_AF1;
	}
	public double getD49_AF2() {
		return d49_AF2;
	}
	public void setD49_AF2(double d49_AF2) {
		this.d49_AF2 = d49_AF2;
	}
	public double getD49_AJ1() {
		return d49_AJ1;
	}
	public void setD49_AJ1(double d49_AJ1) {
		this.d49_AJ1 = d49_AJ1;
	}
	public double getD49_AJ2() {
		return d49_AJ2;
	}
	public void setD49_AJ2(double d49_AJ2) {
		this.d49_AJ2 = d49_AJ2;
	}
	
}
